
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL的编译安装及多实例配置总结 / 憋错料</title>

    <meta name="description" content="MySQL的编译安装及多实例配置总结 编译安装MySQL+多实例 编译安装MySQL 编译环境 MySQL版本 CentOS 7.6 mariadb-10.2.23 一.安装编译所需要的包 yum install bison bison-devel zlib-devel libcurl-devel libarchive-devel boostdevel gcc gcc-c++ cmake ncurses-devel gnutls-devel libxml2-devel openssldevel libevent-devel liba">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">MySQL的编译安装及多实例配置总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>编译安装MySQL+多实例</h1>
<blockquote><h2>编译安装MySQL</h2>
</blockquote>
<table>
<thead>
<tr>
<th>编译环境</th>
<th>MySQL版本</th>
</tr>
</thead>
<tbody>
<tr>
<td>CentOS 7.6</td>
<td>mariadb-10.2.23</td>
</tr>
</tbody>
</table>
<h3>一、安装编译所需要的包</h3>
<pre><code>yum install bison bison-devel zlib-devel libcurl-devel libarchive-devel boostdevel gcc gcc-c++ cmake ncurses-devel gnutls-devel libxml2-devel openssldevel libevent-devel libaio-devel -y </code></pre>
<h3>二、添加MySQL用户及其家目录</h3>
<h4>1.添加MySQL用户</h4>
<pre><code>[[email&#160;protected] ~]# useradd -r -s /sbin/nologin -d /data/mysql mysql</code></pre>
<h4>2.为MySQL用户添加家目录</h4>
<pre><code>[[email&#160;protected] ~]# chmod 700 /data/mysql
[[email&#160;protected] ~]# chown mysql.mysql /data/mysql</code></pre>
<h3>三、编译安装MySQL</h3>
<h4>1.解压MySQL安装包</h4>
<pre><code>[[email&#160;protected] ~]# tar -xf mariadb-10.2.23.tar.gz</code></pre>
<h4>2.编译安装MySQL</h4>
<p>此处需要注意如果编译时中间如果出现缺包的错误，需要将此目录下的CMakeCache.txt删除后重新进行编译。</p>
<pre><code>[[email&#160;protected] ~]# cmake . -DCMAKE_INSTALL_PREFIX=/app/mysql -DMYSQL_DATADIR=/data/mysql/ -DSYSCONFDIR=/etc/mysql -DMYSQL_USER=mysql -DWITH_INNOBASE_STORAGE_ENGINE=1 -DWITH_ARCHIVE_STORAGE_ENGINE=1 -DWITH_BLACKHOLE_STORAGE_ENGINE=1 -DWITH_PARTITION_STORAGE_ENGINE=1 -DWITHOUT_MROONGA_STORAGE_ENGINE=1 -DWITH_DEBUG=0 -DWITH_READLINE=1 -DWITH_SSL=system -DWITH_ZLIB=system -DWITH_LIBWRAP=0 -DENABLED_LOCAL_INFILE=1 -DMYSQL_UNIX_ADDR=/data/mysql/mysql.sock -DDEFAULT_CHARSET=utf8 -DDEFAULT_COLLATION=utf8_general_ci

[[email&#160;protected] mariadb-10.2.23]# make &amp;&amp; make install</code></pre>
<h4>3.创建数据库</h4>
<pre><code>[[email&#160;protected] mariadb-10.2.23]# cd /app/mysql/
[[email&#160;protected] mysql]# scripts/mysql_install_db --user=mysql --datadir=/data/mysql
Installing MariaDB/MySQL system tables in ‘/data/mysql‘ ...
OK</code></pre>
<h4>4.放置配置文件并修改</h4>
<pre><code>[[email&#160;protected] mysql]# cp support-files/my-huge.cnf /etc/mysql/my.cnf
[[email&#160;protected] mysql]# sed -i ‘/\[mysqld\]/adatadir=/data/mysql‘ /etc/mysql/my.cnf </code></pre>
<h4>5.配置服务启动脚本</h4>
<pre><code>[[email&#160;protected] mysql]# chkconfig --add mysqld</code></pre>
<h4>6.启动服务</h4>
<pre><code>[[email&#160;protected] mysql]# service mysqld start
Starting mysqld (via systemctl):                           [  OK  ]</code></pre>
<h4>7.为MySQL添加环境变量</h4>
<pre><code>[[email&#160;protected] mysql]# echo ‘PATH=/app/mysql/bin:$PATH‘ &gt; /etc/profile.d/mysql.sh
[[email&#160;protected] mysql]# . /etc/profile.d/mysql.sh</code></pre>
<blockquote><h2>MySQL的多实例环境搭建</h2>
</blockquote>
<p>在测试环境中通常会需要在一台主机上搭建多个版本的MySQL，此处演示如何搭建多实例的MySQL。</p>
<h3>一、为每个实例创建各自的目录并赋予权限（此处以创建2个实例为例）</h3>
<pre><code>[[email&#160;protected] /]# mkdir -pv /mysql/{3306,3307}/{data,etc,socket,bin,log,pid}
[[email&#160;protected] ~]# chown -R mysql.mysql /mysql
[[email&#160;protected] ~]# tree /mysql                 #查看下目录结构
/mysql
├── 3306
│?? ├── bin
│?? ├── data
│?? ├── etc
│?? ├── log
│?? ├── pid
│?? └── socket
└── 3307
    ├── bin
    ├── data
    ├── etc
    ├── log
    ├── pid
    └── socket</code></pre>
<h3>二、为每个实例创建数据库文件</h3>
<pre><code>[[email&#160;protected] /]# /app/mysql/scripts/mysql_install_db --user=mysql --datadir=/mysql/3306/data
[[email&#160;protected] /]# /app/mysql/scripts/mysql_install_db --user=mysql --datadir=/mysql/3307/data</code></pre>
<h3>三、为每个实例创建配置文件</h3>
<p>配置文件可以参考/etc/my.cnf进行修改</p>
<pre><code>[[email&#160;protected] /]# cp /etc/my.cnf /mysql/3306/etc/my.cnf
[[email&#160;protected] /]# vim /mysql/3306/etc/my.cnf                  #修改my.cnf，写入配置
[mysqld]                                                        #注意需要将#!includedir /etc/my.cnf.d注释
port=3306
datadir=/mysql/3306/data
socket=/mysql/3306/socket/mysql.sock
symbolic-links=0
[mysqld_safe]
log-error=/mysql/3306/log/mariadb.log
pid-file=/mysql/3306/pid/mariadb.pid

[[email&#160;protected] /]# cp /mysql/3306/etc/my.cnf /mysql/3307/etc/
[[email&#160;protected] /]# sed -i ‘s/3306/3307/‘ /mysql/3307/etc/my.cnf </code></pre>
<h3>四、为实例添加服务脚本</h3>
<h4>1.此为事先准备好的服务脚本</h4>
<pre><code>#!/bin/bash

port=3306
mysql_user="root"
mysql_pwd=""
cmd_path="/usr/bin"
mysql_basedir="/mysql"
mysql_sock="${mysql_basedir}/${port}/socket/mysql.sock"

function_start_mysql()
{
    if [ ! -e "$mysql_sock" ];then
      printf "Starting MySQL...\n"
      ${cmd_path}/mysqld_safe --defaults-file=${mysql_basedir}/${port}/etc/my.cnf  &amp;&gt; /dev/null  &amp;
    else
      printf "MySQL is running...\n"
      exit
    fi
}

function_stop_mysql()
{
    if [ ! -e "$mysql_sock" ];then
       printf "MySQL is stopped...\n"
       exit
    else
       printf "Stoping MySQL...\n"
       ${cmd_path}/mysqladmin -u ${mysql_user} -p${mysql_pwd} -S ${mysql_sock} shutdown
   fi
}

function_restart_mysql()
{
    printf "Restarting MySQL...\n"
    function_stop_mysql
    sleep 2
    function_start_mysql
}

case $1 in
start)
    function_start_mysql
;;
stop)
    function_stop_mysql
;;
restart)
    function_restart_mysql
;;
*)
    printf "Usage: ${mysql_basedir}/${port}/bin/mysqld {start|stop|restart}\n"
esac</code></pre>
<h4>2.将服务启动脚本存放至各实例的bin目录下，并加以修改</h4>
<pre><code>[[email&#160;protected] /]# vim /mysql/3306/bin/mysqld      #对端口和cmd_path进行修改
port=3306
cmd_path="/app/mysql/bin"

[[email&#160;protected] /]# vim /mysql/3307/bin/mysqld      #对端口和cmd_path进行修改
port=3307
cmd_path="/app/mysql/bin"

[[email&#160;protected] /]# chmod +x /mysql/3306/bin/mysqld #为服务脚本添加执行权限
[[email&#160;protected] /]# chmod +x /mysql/3307/bin/mysqld </code></pre>
<h4>3.关闭编译安装的MySQL服务</h4>
<pre><code>[[email&#160;protected] /]# ss -tnl |grep 3306
LISTEN     0      80          :::3306                    :::*
[[email&#160;protected] /]# service mysqld stop
Stopping mysqld (via systemctl):                           [  OK  ]</code></pre>
<h4>4.启动实例1，2</h4>
<pre><code>[[email&#160;protected] /]# /mysql/3306/bin/mysqld start
Starting MySQL...
[[email&#160;protected] /]# /mysql/3307/bin/mysqld start
Starting MySQL...

[[email&#160;protected] /]# ss -tnl | grep 3306
LISTEN     0      80          :::3306                    :::*
[[email&#160;protected] /]# ss -tnl | grep 3307
LISTEN     0      80          :::3307                    :::*          </code></pre>
<h4>5.连接数据库</h4>
<p>客户端在连接多实例的MySQL时，需要指定端口号和socket文件路径否则报错。</p>
<pre><code>[[email&#160;protected] /]# mysql -uroot -p -P3306 -S /mysql/3306/socket/mysql.sock
Enter password:
Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 8
Server version: 10.2.23-MariaDB Source distribution

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type ‘help;‘ or ‘\h‘ for help. Type ‘\c‘ to clear the current input statement.</code></pre>
<h4>6.关闭多实例MySQL服务</h4>
<p>多实例的MySQL服务在关闭时需要输入MySQL管理员的密码，也可以将管理员密码存放在配置文件的变量mysql_pwd=&quot;&quot;中</p>
<pre><code>[[email&#160;protected] /]# /mysql/3306/bin/mysqld stop
Stoping MySQL...
Enter password: </code></pre>

<p>原文地址：https://blog.51cto.com/11886307/2386367</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 19:31:38 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e7%9b%ae%e5%bd%95/" title="目录">目录</a>, <a href="https://www.biecuoliao.com/tag/pre/" title="pre">pre</a>, <a href="https://www.biecuoliao.com/tag/nss/" title="nss">nss</a>, <a href="https://www.biecuoliao.com/tag/bash/" title="bash">bash</a>, <a href="https://www.biecuoliao.com/tag/tar/" title="tar">tar</a>, <a href="https://www.biecuoliao.com/tag/set/" title="set">set</a>, <a href="https://www.biecuoliao.com/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.biecuoliao.com/tag/local/" title="local">local</a>, <a href="https://www.biecuoliao.com/tag/%e6%bc%94%e7%a4%ba/" title="演示">演示</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>MySQL的编译安装及多实例配置总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n4AaNd4.html" rel="bookmark">apache&sol;mysql&sol;php编译安装及支持xcache和fastcgi方式运行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.编译安装apache     1.安装环境:yum install gcc gcc-c++ openssl-devel libtool -y     2.安装apr.apr-util及pcre         tar jxf apr-1.5.1.tar.bz2         cd apr-1.5.1         ./configure --prefix=/usr/local/apr         make &amp;&amp; make install              tar jxf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49baPDM.html" rel="bookmark">Linux之mysql的编译安装（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				centos6.6 编译安装MySQL5.6 [本文档所介绍的内容适用于公司测试/生产等常见的MySQL数据库环境部署] 一:环境部署前准备: 1.1相关软件以及系统 系统要求:Centos 6.6 (64位) 相关中间件:  mysql-5.6.23 1.2相关系统依赖包安装检查准备 1.2.1 检查系统自带mysql是否安装 # rpm -qa | grep mysql 如有安装,请使用以下命令卸载相关程序 # yum remove  mysql 1.2.2 安装系统相关的编译环境:mysq			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyAx7aM.html" rel="bookmark">linux下编译安装memcached服务实例教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分享下linux下编译安装memcached服务的步骤,一起来看看. 系统:Ubuntu 13.10第一步:安装libevent-dev$aptitude search libevent-dev$aptitude install libevent-dev 第二步:下载memcached并安装(www.jbxue.com)官网地址:http://memcached.org/$wget -c http://www.memcached.org/files/memcached-1.4.17.tar.gz			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n0l6lX4.html" rel="bookmark">mysql的编译安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mysql 一．Mysql的编译安装 1.安装环境以及安装包的准备 Mysql的安装环境需要占用很大的内存,所以把cpu核数增添到了两个,把内存至少加到2048以上 安装包: 安装这个是为了编译用 Mysql的安装包 2.由于安转前要扩大内存,所以要扩充容量,如果根分区的形式时LVM才可以扩容,这个也是之后安装系统要注意的,尽量在安装系统时就将根分区设置成为LVM,这样才可以添加扩容,由于本次装机时没有采取该方式,所以只能重新添加一块虚拟磁盘,将其设成LVM方式,将其挂载到本机的一个目录下.如下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWD5Lb0.html" rel="bookmark">CentOS6&period;5安装MariaDB10&period;0&period;15编译安装和多实例管理配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CentOS6.5 x86_64 系统 [[email protected] ~]# wget https://downloads.mariadb.org/interstitial/mariadb-10.0.15/source/mariadb-10.0.15.tar.gz/from/http%3A//mirrors.neusoft.edu.cn/mariadb groupadd -r mysql useradd -r -g mysql -s /sbin/nologin mysql mkdir /			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l7mVLM.html" rel="bookmark">Linux服务器集群架构部署搭建（六）数据库服务器MySQL编译安装及主从同步配置&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				命运是大海,当你能够畅游时,你就要纵情游向你的所爱,因为你不知道狂流什么会到来,卷走一切希望与梦想. 作者:燁未央_Estelle声明:测试学习,不足之处,欢迎指正. 第一章 数据库企业应用场景 1.1 数据库的企业应用 MySQL是一种关联数据库管理系统,关联数据库将数据保存在不同的表中,而不是将所有数据放在一个大仓库内,这样就增加了速度并提高了灵活性.MySQL所使用的SQL语言是用于访问数据库的最常用标准化语言.MySQL软件采用了双授权政策,它分为社区版和商业版,由于其体积小.速度快.总			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzLNJA3.html" rel="bookmark">MySQL的编译安装和基本配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL是一款开源的单进程多线程的关系型数据库,其为C/S架构:其可靠性高.伸缩性强,易用.且支持C.C++.Python.PHP等开发 其版本有a版(内测版).B版(公测版本).RC(Release Candidate)发行候选版本.及GA(General Availablity)正式发布版本 且分别为社区版和商业版 我在这里安装的是社区版的GA版本 mysql-5.6.34 MySQL的安装: 专用软件包安装RPM(Rhel SUSE CentoS).Deb 通用二进制格式包gcc: X8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49bDOnM.html" rel="bookmark">开源服务专题之--------mysql的编译安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为什么选择MySQL 1:mysql性能卓越,服务稳定,很少出现异常宕机 2:mysql开源免费,无版权制约,自主性及使用成本低 3:产品耦合度,mysql支持多种操作系统,支持多开发语言,特别是php 4:技术积累,庞大的活跃的社区, 5:软件体积小,安装简单,易于维护 MySQL数据库分类与版本升级 MySQL官网http://www.mysql.com/,MySQL版本采用双授权政策,和大多数开源产品路线一样,分为社区版和商业版,并且这两个版本又分别分成四个版本依次发布,Alpha版.Be			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M65bwr4.html" rel="bookmark">mysql 数据库编译安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下载mysql数据库,从官网下载 这里下载的是mysql-5.1.51.tar.gz 2.下载cmake,下载地址是http://www.cmake.org/files/v2.8/cmake-2.8.12.1.tar.gz 把上面的两个软件放到/usr/local/src里. 3.使用yum安装一些必须的包. yum install -y make apr* autoconf automake curl curl-devel gcc gcc-c++ gtk+-devel zlib-devel o			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmOyQ3.html" rel="bookmark" class="title">NS4-SSL证书的安装</a>
					<div>
						NetScaler在结合Citrix做ICA代理的时候需要在NetScaler安装SSL证书,当然不做ICA代理的时候,走https协议的时候在Vserver的时候也是需要绑定SSL证书,这个没问题. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMonDk4.html" rel="bookmark" class="title">Install WAS</a>
					<div>
						Install rpms: yum install -y libstdc++.i686 libstdc++-devel.i686 gtk2.i686 gtk2-engines.i686 \ Packa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZWmm4.html" rel="bookmark" class="title">Android商城开发系列（十）&mdash;&mdash; 活动广告布局实现</a>
					<div>
						在上一篇博客当中,我们讲了频道布局的实现,接下来我们讲解一下活动广告布局的实现,效果如下图: 这个是用viewpager去实现的,新建一个act_item.xml,代码如下所示: 1 &lt;?xml ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzonq0.html" rel="bookmark" class="title">指甲半月痕 血象和微量元素检查分析是否有贫血</a>
					<div>
						指甲半月痕是指在指甲下方五分之一处,出现一条白色弧形的痕迹.指甲半月痕是阴阳经脉界线,是人体精气的代表,故也称为健康圈.指甲半月痕的发育,要受营养.环境.身体素质的影响,当消化吸收功能欠佳时,半月痕就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wrZWV0.html" rel="bookmark" class="title">定义接口，参数声明，Url都通过Annotation指定</a>
					<div>
						﻿﻿ 经过上周对软件流程及代码的熟悉,这周就开始做一些工作了. 一开始我负责将软件中重复调用的一个方法抽取成API,本以为小菜一碟,结果抽取完老有问题.后来师兄指点后才发现,我的思想还是有些过程化.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aANwn0.html" rel="bookmark" class="title">0&period;11之路（五）：激活进程0</a>
					<div>
						linux的第一个进程--进程0. Linux 0.11 是一个支持多进程的现代操作系统,所以我们需要进程管理信息数据结构:task_struct.task[64].GDT等的支撑. 我们需要设置物理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qvX6a4.html" rel="bookmark" class="title">中山大学校队选拔赛第一章题1【紧急逃离Emergent escape】----2015年1月26日</a>
					<div>
						一: 题意描述 二:题目分析 本题的大致意思是讲:在给定的一个大圆上挖去很多圆(这些圆有的在大圆里面,有的在大圆外面,有的与圆相加),凡是被圆占据的部分则不能通行. 现在给定两个点,(lifeship ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5YXj0.html" rel="bookmark" class="title">&lbrack;leedcode 104&rsqb; Maximum Depth of Binary Tree</a>
					<div>
						Given a binary tree, find its maximum depth. The maximum depth is the number of nodes along the long ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXnNa83.html" rel="bookmark" class="title">struts2的StrutsPrepareAndExecuteFilter</a>
					<div>
						以前是FilterDispatcher StrutsPrepareAndExecuteFilter在web.xml中配置 有3个成员 protected PrepareOperations prepa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDrEyo3.html" rel="bookmark" class="title">5、maven&plus;jetty本地创建开发环境</a>
					<div>
						注意这里使用的是jetty7.0以上的版本 在项目的pom.xml添加内容: 1.pom.xml添加依赖 &lt;!-- Jetty --&gt; &lt;dependency&gt;    &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7Pkv3.html" rel="bookmark" class="title">传值问题</a>
					<div>
						1.if(d!=''){                  ccms.dialog.open({                      url:&quot;${def:context}/actio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0koQ5j0.html" rel="bookmark" class="title">百思不得姐之立即登录注册模块&lpar;五&rpar;</a>
					<div>
						一 功能图和实现思路 具体功能图: 实现思路: --&gt; 1 关注控制器模块搭建(xib) --&gt; 2 登录和注册界面的总体模块数量(三个模块),可以用三个view来装各自的子控件 --&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xaY8B3.html" rel="bookmark" class="title">Linux下的动态链接库包含漏洞</a>
					<div>
						说明 Nebula是一个用于Linux下提权漏洞练习的虚拟机,其第15关Level15提供了这样一个有漏洞的程序flag15 sh-4.2$ ls -l total 7 -rwsr-x--- 1 fl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBaK8M.html" rel="bookmark" class="title">《DSP using MATLAB》示例Example4&period;6</a>
					<div>
						用到的z变换的性质: 继续解题: 上代码: b = [0,0,0, 0.25, -0.5, 0.0625]; a = [1, -1, 0.75, -0.25, 0.0625]; % polynomia ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLRY7A3.html" rel="bookmark" class="title">华为机试&mdash;围棋吃子（下围棋）判决（高级题160分：深度优先遍历）（图文吐血整理）</a>
					<div>
						题目: 围棋中,一个棋子在棋盘上,与它直接紧邻的空点是这个棋子的&quot;气&quot;,棋子直接紧邻的点上,如果有同色妻子存在,则它们便相互组成一个不可分割的整体,它们的&quot;气&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qODo9M.html" rel="bookmark" class="title">&lbrack;poj 2274&rsqb;后缀数组&plus;最长公共子序列</a>
					<div>
						题目链接:http://poj.org/problem?id=2774 后缀数组真的太强大了,原本dp是n^2的复杂度,在这里只需要O(n+m). 做法:将两个串中间夹一个未出现过的字符接起来,然后做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KjQQYM.html" rel="bookmark" class="title">ACM 学习心得</a>
					<div>
						ACM 学习心得 STL:完美的艺术品 STL 由四大部分组成:算法.容器.迭代器.仿函数. 算法(algorithm) 算法定义了一组与实现无关的操作,也是 ACM 学习的核心.C++ 算法库的内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xA6jL3.html" rel="bookmark" class="title">统计之 - 列联表</a>
					<div>
						频数表是将数据集按照某个特定列分类(分组)时观察每个类/组中数据出现次数的表:列联表也是频数表,只不过它会分析的是将数据集按两个或两个以上类别变量联合分组时观察数据在每个分组中出现频数的表,所以又称交 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mynemp0.html" rel="bookmark" class="title">域控的升级及客户端加入域；组策略的应用规则；组策略筛选</a>
					<div>
						第5天:NSD WINDOWS 实验01:域控的升级及客户端加入域 实验目标: 开始---运行---dcpromo---选择在新林中新建域 实验环境: 实验步骤: 一.分别打开Windows Serv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgmEDp3.html" rel="bookmark" class="title">css3 -- 颜色与不透明度</a>
					<div>
						1.opacity: opacity的值会被它的所有子元素继承,也就是说不可能让一个元素比他的父元素更加不透明,但你可以让他变得更透明点 Firefox  Webkit  Opera支持,注意IE 2 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
